# Uses of Blockchain

## *<mark style="color:yellow;">₿lockchain</mark>* <mark style="color:blue;">in Deversum</mark>

Blockchain technology is a great ally which will allow us to comply with the following key points which would be much more complex to guarantee if this technology were not used:

* <mark style="color:green;">**Transparency and security:**</mark> The blockchain is known for its ability to provide transparency and security in transactions, this could apply to elements such as asset exchange, in-game trading and player-to-player transactions. The immutable records of the blockchain ensure that transactions are secure and verifiable.
* <mark style="color:green;">**Ownership and authenticity of digital assets:**</mark> In-game digital assets, such as skins, characters and items, could be tokenized on the blockchain. This will allow players to actually own these assets, meaning they will be able to trade or sell them without relying on the game platform. In addition, we will be protected from counterfeit or pirated copies, as authenticity will be verified through the blockchain.
* <mark style="color:green;">**Decentralized market:**</mark> With the help of smart contracts on the blockchain we could create a decentralized in-game and out-of-game market. Players would be able to trade directly with each other with guarantees that transactions are carried out according to the preset rules in smart contracts either in-game or in secondary markets.
* <mark style="color:green;">**Rewards and loyalty tokens:**</mark> We will implement a blockchain-based reward system to encourage player participation and loyalty. Reward tokens could be awarded for in-game achievements (e.g. helping another player defeat a boss) and then redeemed for exclusive items or other benefits.&#x20;
* <mark style="color:green;">**Verifiability of scores and achievements:**</mark> Players' scores and achievements can be recorded on the blockchain, which will guarantee their authenticity and make any attempt at cheating or manipulation more difficult.&#x20;
* <mark style="color:green;">**Decentralized tournament management:**</mark> We will organize tournaments where smart contracts will be used to automate registration, the distribution of prizes will be according to the tournament rules. This increases the confidence of the participants knowing that everything is guaranteed in the blockchain.

### *<mark style="color:blue;">Using the NFT technology</mark>*

NFTs (Non Fungible Tokens) are unique digital representations of online assets or elements, usually related to art (images, music, videos...). Unlike traditional cryptocurrencies such as Bitcoin or Ethereum, which are interchangeable with each other based on their value, NFTs represent individuality and uniqueness.&#x20;

In our case we will use NFTs to uniquely represent access to Deversum, in addition to allowing or denying the use of certain characters or objects (weapons, keys, vehicles...).&#x20;

Each NFT will have linked a series of characters, objects and statistics (deaths, games played, achievements, etc) that will be stored in our database in order to identify and manage each account in a personalized way, this can add value to the NFT if it is decided to sell in the secondary market.&#x20;

In Deversum you will be able to find NFTs from both [**Solana** ](https://solana.com/)and [**Polygon**](https://polygon.technology/) networks.

The official wallet used to store the digital assets will be [**Phantom**](https://phantom.app/), as it allows us to use the NFTs of both networks and thus benefit from their technology in a single wallet.

### *<mark style="color:blue;">How can NFTs be acquired and used?</mark>*

NFTs will be available for purchase through the [https://nikode.net/tienda ](<https://nikode.net/tienda >)website <mark style="color:red;">(to be established)</mark> by purchasing with fiat money or cryptocurrencies, also through secondary markets <mark style="color:red;">(to be established)</mark>.

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deversum.net/v1/developments/uses-of-blockchain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
